summaryrefslogtreecommitdiff
path: root/contrib/check_GNU_style.sh
diff options
context:
space:
mode:
authorTom de Vries <tom@codesourcery.com>2015-05-12 16:23:11 +0000
committerTom de Vries <vries@gcc.gnu.org>2015-05-12 16:23:11 +0000
commit0648b80726f03dd0b9ed3dbb56832dbb909502f7 (patch)
treef1ea033908ec4247983f77b11fd75d10453e7542 /contrib/check_GNU_style.sh
parent4171ffe90d4139b9ad73751de9dc7d4c1b824230 (diff)
downloadgcc-0648b80726f03dd0b9ed3dbb56832dbb909502f7.tar.gz
check_GNU_style.sh: Check file presence
2015-05-12 Tom de Vries <tom@codesourcery.com> * check_GNU_style.sh: Check if files exists. From-SVN: r223085
Diffstat (limited to 'contrib/check_GNU_style.sh')
-rwxr-xr-xcontrib/check_GNU_style.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/contrib/check_GNU_style.sh b/contrib/check_GNU_style.sh
index eeff48f8c4c..2c4d9e24fe6 100755
--- a/contrib/check_GNU_style.sh
+++ b/contrib/check_GNU_style.sh
@@ -39,6 +39,13 @@ test $# -eq 0 && usage
nfiles=$#
files="$*"
+for f in $files; do
+ if [ "$f" != "-" ] && [ ! -f "$f" ]; then
+ echo "error: could not read file: $f"
+ exit 1
+ fi
+done
+
inp=check_GNU_style.inp
tmp=check_GNU_style.tmp